import $ from 'jquery';
import GLightbox from 'glightbox';

import './vendor/bootstrap';

import './lib/slider';
import './lib/sticky';
import initAudioPlayer from './lib/audio';
import initNavBar from './lib/navbar';

// Exporte jQuery pour un usage externe
window.$ = $;

/**
 * ------------------------------------------------------------------------
 * Application principale
 * ------------------------------------------------------------------------
 */

$(window).on('load.app', () => {
  // supprime la classe 'no-js' au chargement
  document.querySelectorAll('.no-js')
    .forEach((el) => el.classList.remove('no-js'));

  // initialise le menu principal
  initNavBar(document.querySelector('.navbar-main'));

  // charge l'agrandissement des images
  GLightbox({ draggable: false });

  // charge les lecteurs audio de la page
  const plyrOptions = typeof window.STATIC_URL === 'undefined' ? {} : {
    // évite de passer par un CDN tiers
    blankUrl: `${window.STATIC_URL}vendor/plyr/blank.mp4`,
    iconUrl: `${window.STATIC_URL}vendor/plyr/plyr.svg`
  };
  document.querySelectorAll('.audio-player')
    .forEach((el) => initAudioPlayer(el, plyrOptions));
});
