from django.utils.deprecation import MiddlewareMixin

from .models import OrganizationInfo


class OrganizationInfoMiddleware(MiddlewareMixin):
    def process_request(self, request):
        """
        Définis request.org_info avec l'objet OrganizationInfo pour le site
        actuel, si il existe.
        """
        if getattr(request, 'site', None) is not None:
            request.org_info = OrganizationInfo.for_site(request.site)
        else:
            request.org_info = None
