from django.core.exceptions import ValidationError

from defusedxml.ElementTree import ParseError, parse


def validate_svg_file(value):
    """Vérifie que le fichier est au format SVG."""
    try:
        tree = parse(value.open(mode='r'))
    except ParseError:
        raise ValidationError(
            "Le fichier n'est pas dans un format XML valide."
        )
    if tree.getroot().tag != '{http://www.w3.org/2000/svg}svg':
        raise ValidationError("Le fichier ne définis pas de dessin SVG.")
