# Generated by Django 2.1.7 on 2019-07-11 12:31

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.contrib.taggit
import modelcluster.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailimages', '0021_image_file_hash'),
        ('taggit', '0002_auto_20150616_2121'),
        ('wagtailcore', '0040_page_draft_title'),
    ]

    operations = [
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=128, verbose_name='titre')),
                ('summary', models.TextField(blank=True, verbose_name='résumé')),
                ('external_link', models.URLField(blank=True, help_text="L'URL d'un site externe en rapport avec cet évènement, vers lequel faire pointer pour en savoir plus.", verbose_name='lien externe')),
                ('date_start', models.DateField(verbose_name='date de début')),
                ('date_end', models.DateField(blank=True, help_text="La date de fin de l'évènement s'il est sur plusieurs jours.", null=True, verbose_name='date de fin')),
                ('time_start', models.TimeField(blank=True, null=True, verbose_name='heure de début')),
                ('time_end', models.TimeField(blank=True, null=True, verbose_name='heure de fin')),
                ('live', models.BooleanField(default=True, help_text="Si l'évènement doit apparaître sur le site et l'agenda.", verbose_name='publié')),
                ('slug', models.SlugField(allow_unicode=True, blank=True, help_text="Le nom de la page comme elle apparaîtra dans l'URL (e.g <code>http://domain.com/events/[my-slug]/</code>). Laissez-le vide pour en générer un automatiquement.", max_length=255, unique=True, verbose_name='slug')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.Image', verbose_name='illustration')),
            ],
            options={
                'verbose_name': 'évènement',
                'verbose_name_plural': 'évènements',
                'ordering': ('date_start', 'date_end', 'time_start'),
            },
        ),
        migrations.CreateModel(
            name='EventTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_object', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_event_items', to='events.Event')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events_eventtag_items', to='taggit.Tag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='nom')),
                ('street', models.TextField(blank=True, max_length=255, verbose_name='rue')),
                ('zip_code', models.CharField(blank=True, max_length=16, verbose_name='code postal')),
                ('city', models.CharField(blank=True, max_length=128, verbose_name='ville')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.Image', verbose_name='image du lieu')),
            ],
            options={
                'verbose_name': 'lieu',
                'verbose_name_plural': 'lieux',
            },
        ),
        migrations.AddField(
            model_name='event',
            name='place',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='events.Place', verbose_name='lieu'),
        ),
        migrations.AddField(
            model_name='event',
            name='related_page',
            field=models.ForeignKey(blank=True, help_text='Une page ou un article du site en rapport avec cet évènement, vers lequel faire pointer pour en savoir plus.', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailcore.Page', verbose_name='page liée'),
        ),
        migrations.AddField(
            model_name='event',
            name='tags',
            field=modelcluster.contrib.taggit.ClusterTaggableManager(blank=True, help_text="Une liste d'une ou plusieurs étiquettes séparées par une virgule.", through='events.EventTag', to='taggit.Tag', verbose_name='étiquettes'),
        ),
    ]
