# Typographie

<p class="lead">Cette application utilise la police d'écriture <a href="https://fontlibrary.org/en/font/roboto"><b>Roboto</b></a> pour le corps de texte et <a href="https://fontlibrary.org/en/font/dosis"><b>Dosis</b></a> pour les titres.</p>

---

## Titres

Dans le contenu de la page, les titres doivent avoir `.title`. Ils commencent au niveau 3, les niveaux 1 et 2 étant réservés pour le titre de la page et son chapeau.

<div class="ss-code-live">
<h3 class="title">Titre de niveau 3</h3>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.</p>

<h4 class="title">Titre de niveau 4</h4>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.</p>

<h5 class="title">Titre de niveau 5</h5>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.</p>

<h6 class="title">Titre de niveau 6</h6>
<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Hic quibusdam ratione sunt dolorum, qui illo maxime doloremque accusantium cum libero eum, a optio odio placeat debitis ullam aut non distinctio.</p>
</div>

---

## Listes

Une liste *dés*ordonnée pour lister des choses&hellip;

<div class="ss-code-live rich-text">
  <ul>
    <li>List item with a much longer description or more content.</li>
    <li>List item</li>
    <li>List item
      <ul>
        <li>Nested list item</li>
        <li>Nested list item</li>
        <li>Nested list item</li>
      </ul>
    </li>
    <li>List item</li>
    <li>List item</li>
    <li>List item</li>
  </ul>
</div>

```html_example
<div class="card text-white bg-primary">
  <div class="card-body">
    <div class="card-text rich-text">
      <ul>
        <li>List item 1</li>
        <li>List item 2</li>
      </ul>
    </div>
  </div>
</div>
```

---

## Citations

La citation peut être une phrase simple&hellip;

```html_example
<blockquote class="blockquote">
  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
</blockquote>
```

&hellip; ou plusieurs paragraphes.

```html_example
<blockquote class="blockquote">
  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur  finibus nunc a diam ultrices tristique. Pellentesque viverra, augue  dapibus consequat hendrerit, nibh turpis mollis sapien, sed tempus  tellus ante sed purus. Aenean nec justo fermentum, tristique felis eu,  mollis mauris.</p>
  <p>Donec sit amet libero vel est efficitur maximus. Quisque  euismod augue orci, et ornare mi gravida et. Etiam porttitor lacus  sodales, dignissim felis quis, accumsan neque. Fusce commodo maximus  tellus at euismod. Proin id ante erat. Mauris sed efficitur massa, quis  dapibus diam. </p>
</blockquote>
```

Il est aussi possible de spécifier l'auteur de la citation.

```html_example
<blockquote class="blockquote">
  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
  <footer class="blockquote-footer">
    <cite>Un auteur inconnu et anonyme</cite>
  </footer>
</blockquote>
```




# Boutons

<p class="lead">Les boutons sont essentiellement utilisés pour pointer vers des liens.</p>

---

## Couleurs

```html_example
<button class="btn btn-primary" role="button">Bouton principal</button>
<button class="btn btn-secondary" role="button">Bouton secondaire</button>
```

---

## Variantes

```html_example
<a href="#" class="btn btn-outline-primary">Bouton principal sans fond</a>
<a href="#" class="btn btn-outline-secondary">Bouton secondaire sans fond</a>
```

---

## Animation

Le bouton peut être animé avec une flèche qui apparaît au survol en ajoutant `.btn-arrow-right`.

```html_example
<a href="#" class="btn btn-primary btn-arrow-right">Bouton principal</a>
<a href="#" class="btn btn-secondary btn-arrow-right">Bouton secondaire</a>
```

```html_example
<a href="#" class="btn btn-outline-primary btn-arrow-right">Bouton principal sans fond</a>
<a href="#" class="btn btn-outline-secondary btn-arrow-right">Bouton secondaire sans fond</a>
```

---

## Taille

Un bouton plus gros, avec `.btn-lg`&hellip;

```html_example
<a href="#" class="btn btn-primary btn-lg btn-arrow-right">Bouton principal</a>
<a href="#" class="btn btn-secondary btn-lg btn-arrow-right">Bouton secondaire</a>
```

```html_example
<a href="#" class="btn btn-outline-primary btn-lg btn-arrow-right">Bouton principal sans fond</a>
<a href="#" class="btn btn-outline-secondary btn-lg btn-arrow-right">Bouton secondaire sans fond</a>
```

&hellip; ou plus petit avec `.btn-sm`.

```html_example
<a href="#" class="btn btn-primary btn-sm btn-arrow-right">Bouton principal</a>
<a href="#" class="btn btn-secondary btn-sm btn-arrow-right">Bouton secondaire</a>
```

Parallèlement, un bouton sur toute la longueur avec `.btn-block`.

```html_example
<a href="#" class="btn btn-primary btn-block btn-arrow-right">Bouton principal</a>
<a href="#" class="btn btn-secondary btn-block btn-arrow-right">Bouton secondaire</a>
```




# Images

<p class="lead">Une image peut avoir une légende, pointer vers un lien, ou encore contenir du texte par-dessus, avec ou sans animation.</p>

---

## Image avec une légende

```html_example
<figure class="figure">
  <img class="figure-img img-fluid" src="img/ecole.jpg">
  <figcaption class="figure-caption text-center">Une légende sous l'image</figcaption>
</figure>
```

---

## Image avec un lien

La légende de l'image peut être englobée par le lien.

```html_example
<a href="#">
  <figure class="figure">
    <img class="figure-img img-fluid" src="img/ecole.jpg">
    <figcaption class="figure-caption text-center">Une légende sous l'image</figcaption>
  </figure>
</a>
```

---

## Icône comme image

L'image peut également être remplacée par une icône, définie par `.figure-icon`.

```html_example
<figure class="figure">
  <span class="figure-icon icon icon-clock" aria-hidden="true"></span>
  <figcaption class="figure-caption text-center">Du lundi au vendredi, de 8h à 18h</figcaption>
</figure>
```

---

## Image avec du texte

On peut vouloir mettre du texte par-dessus l'image pour la compléter. Ils sont alors à englober dans un conteneur `.figure-img-text`.

```html_example
<figure class="figure">
  <div class="figure-img-text">
    <img class="figure-img img-fluid" src="img/ecole.jpg">
    <div class="figure-text">
      <h5>Un texte par-dessus l'image</h5>
      <p>Il peut avoir plusieurs lignes, et comporter quelques styles minimales, comme du texte en <b>gras</b> et en <i>italique</i>.</p>
    </div>
  </div>
</figure>
```

En ajoutant `.is-animated`, l'image sera alors assombrie avec une animation au survol.

```html_example
<figure class="figure">
  <div class="figure-img-text is-animated">
    <img class="figure-img img-fluid" src="img/ecole.jpg">
    <div class="figure-text">
      <h5>Un texte par-dessus l'image</h5>
      <p>Il peut avoir plusieurs lignes, et comporter quelques styles minimales, comme du texte en <b>gras</b> et en <i>italique</i>.</p>
    </div>
  </div>
</figure>
```



# Carrousel

<p class="lead"><a href="https://github.com/ganlanyuan/tiny-slider">tiny-slider</a> est utilisé pour réaliser des *sliders* de tous types, dont un carrousel.</p>

---

## Utilisation

Chaque élément avec l'attribut `data-slider` est automatiquement initialisé. Il doit contenir un autre éléments `.tns-slider-items` avec les éléments du carrousel, et peut aussi contenir les contrôles *Suivant* et *Précédent*.

```html_example
<div class="tns-slider-container" data-slider='{"autoplayTimeout":3000,"responsive":{"480":{"items":2},"640":{"items":3},"1024":{"items":4}}}'>
  <div class="tns-control">
    <a class="tns-control-prev" role="button">
      <span class="icon icon-angle-left" aria-hidden="true"></span>
      <span class="sr-only">Précédent</span>
    </a>
  </div>
  <div class="tns-control">
    <a class="tns-control-next" role="button">
      <span class="icon icon-angle-right" aria-hidden="true"></span>
      <span class="sr-only">Suivant</span>
    </a>
  </div>

  <div class="tns-slider-items text-center">
    <div>
      <img class="img-fluid" src="img/ecole.jpg">
    </div>
    <div>
      <img class="img-fluid" src="img/avatar.jpg">
    </div>
    <div>
      <img class="img-fluid" src="img/ecole.jpg">
    </div>
    <div>
      <img class="img-fluid" src="img/avatar.jpg">
    </div>
    <div>
      <img class="img-fluid" src="img/ecole.jpg">
    </div>
    <div>
      <img class="img-fluid" src="img/ecole.jpg">
    </div>
  </div>
</div>
```




# Fiches

<p class="lead">Le composant <i>Card</i> est utilisé pour structurer un contenu parfois récurrent sur une page.</p>

---

## Style par défaut

```html_example
<div class="card">
  <div class="card-body">
    <h5 class="card-title">Titre de la fiche</h5>
    <h6 class="card-subtitle mb-2 text-muted">Sous-titre de la fiche</h6>
    <div class="card-text">
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec ultrices arcu ut dui imperdiet venenatis. Nulla facilisi. Ut vulputate mauris neque, mattis bibendum massa elementum sed. Integer vehicula, odio ut volutpat dapibus, metus tortor sollicitudin odio, porta pretium quam diam ut ligula. Curabitur sed lectus finibus, vestibulum magna ac, facilisis ex. Aenean hendrerit ultrices scelerisque.</p>
      <a href="#" class="btn btn-primary">En savoir plus...</a>
    </div>
  </div>
</div>
```

On peut également l'illustrer avec une image.

```html_example
<div class="card">
  <img class="card-img-top" src="img/ecole.jpg">
  <div class="card-body">
    <h5 class="card-title">Berthelot</h5>
    <div class="card-text">
      <p>3 rue des tilleuls<br>03 21 00 00 00</p>
    </div>
  </div>
</div>
```

---

## Variantes

Plusieurs styles sont utilisés au sein du site.

```html_example
<div class="card text-white bg-dark">
  <div class="card-body">
    <h5 class="card-title">Sortir</h5>
    <div class="card-text">
      <p>Parce que les moments conviviaux et de détente sont importants, découvrez les bons plans sorties pour les étudiants.</p>
      <a href="#" class="btn btn-card">Sortir à Lens</a>
    </div>
  </div>
</div>
```

Au passage, les fiches peuvent être affichées en colonnes.

```html_example
<div class="card-columns">

  <div class="card text-white bg-primary">
    <div class="card-body">
      <h5 class="card-title">Les grands projets</h5>
      <div class="card-text">
        <p>Découvrez tous les grands projets de la ville.</p>
        <a class="btn btn-card" href="#">Se renseigner</a>
      </div>
    </div>
  </div>

  <div class="card text-white bg-secondary">
    <div class="card-body">
      <h5 class="card-title">Les petits projets</h5>
      <div class="card-text">
        <p>Découvrez tous les petits projets de la ville.</p>
        <a href="#" class="btn btn-card">Se renseigner</a>
      </div>
    </div>
  </div>

</div>
```




# Objets multimédia

<p class="lead">Ce composant est principalement utilisé pour afficher une image à gauche, avec du texte associé à droite.</p>

---

## Utilisation de base

```html_example
<div class="media-object">
  <div class="media-object-section">
    <img src="img/avatar.jpg">
  </div>
  <div class="media-object-section main-section">
    <h4>Prénom NOM</h4>
    <h5>Une fonction très importante</h5>
    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec ultrices arcu ut dui imperdiet venenatis.</p>
  </div>
</div>
```




# Démarche en ligne

<p class="lead">Les démarches sont définies par un nom, une icône et un lien.</p>

---

## Styles

Il existe deux styles : `.demarche-big` et `.demarche-small`.

```html_example
<a href="#">
  <figure class="demarche demarche-big">
    <div class="demarche-icon">
      <svg width="488px" height="488px" enable-background="new 0 0 487.811 487.81" version="1.1" viewBox="0 0 488 488" xml:space="preserve" xmlns="http://www.w3.org/2000/svg">
        <path d="m150 110h151c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2h-151c-4 0-7.2 3.2-7.2 7.2s3.2 7.2 7.2 7.2z"/>
        <path d="m16 180h151c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2h-151c-4 0-7.2 3.2-7.2 7.2s3.2 7.2 7.2 7.2z"/>
        <path d="m56 253c0 4 3.2 7.2 7.2 7.2h151c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2h-151c-4 0-7.2 3.2-7.2 7.2z"/>
        <path d="m142 336h-135c-4 0-7.2 3.2-7.2 7.2s3.2 7.2 7.2 7.2h135c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2z"/>
        <path d="m386 154c22 0 39-18 39-39s-18-39-39-39c-22 0-39 18-39 39-1e-3 22 18 39 39 39z"/>
        <path d="m450 143c-22 31-53 35-85 16-2.2-1.3-12-6.7-14-8-52-31-104-19-139 30-15 21 19 40 34 20 18-25 41-33 66-25-13 22-24 44-40 76-16 31-51 57-84 37-24-14-46 21-22 35 46 27 100 10 127-24 0.95 0.51 2 0.97 3.1 1.4 22 7.8 52 29 61 36 9 7.4 24 45 33 64 11 23 47 6.2 36-17-10-21-28-64-41-75-11-8.7-32-25-50-34 12-23 25-47 38-69 42 13 83-2.3 111-42 15-21-19-40-34-20z"/>
      </svg>
    </div>
    <figcaption class="demarche-name">Nom de démarche</figcaption>
  </figure>
</a>
```

```html_example
<div class="container pt-3 bg-primary">
  <a href="#" class="text-white">
    <figure class="demarche demarche-small">
      <div class="demarche-icon">
        <svg width="488px" height="488px" enable-background="new 0 0 487.811 487.81" version="1.1" viewBox="0 0 488 488" xml:space="preserve" xmlns="http://www.w3.org/2000/svg">
          <path d="m150 110h151c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2h-151c-4 0-7.2 3.2-7.2 7.2s3.2 7.2 7.2 7.2z"/>
          <path d="m16 180h151c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2h-151c-4 0-7.2 3.2-7.2 7.2s3.2 7.2 7.2 7.2z"/>
          <path d="m56 253c0 4 3.2 7.2 7.2 7.2h151c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2h-151c-4 0-7.2 3.2-7.2 7.2z"/>
          <path d="m142 336h-135c-4 0-7.2 3.2-7.2 7.2s3.2 7.2 7.2 7.2h135c4 0 7.2-3.2 7.2-7.2s-3.2-7.2-7.2-7.2z"/>
          <path d="m386 154c22 0 39-18 39-39s-18-39-39-39c-22 0-39 18-39 39-1e-3 22 18 39 39 39z"/>
          <path d="m450 143c-22 31-53 35-85 16-2.2-1.3-12-6.7-14-8-52-31-104-19-139 30-15 21 19 40 34 20 18-25 41-33 66-25-13 22-24 44-40 76-16 31-51 57-84 37-24-14-46 21-22 35 46 27 100 10 127-24 0.95 0.51 2 0.97 3.1 1.4 22 7.8 52 29 61 36 9 7.4 24 45 33 64 11 23 47 6.2 36-17-10-21-28-64-41-75-11-8.7-32-25-50-34 12-23 25-47 38-69 42 13 83-2.3 111-42 15-21-19-40-34-20z"/>
        </svg>
      </div>
      <figcaption class="demarche-name">Nom de démarche</figcaption>
    </figure>
  </a>
</div>
```




# Suivi et consentement

<p class="lead">La librairie <b>opted-tracking.js</b> permets de laisser au visiteur le contrôle sur son suivi.</p>

---

## Utilisation

Au lieu d'exécuter directement le code de suivi, celui-ci est à passer en argument de la fonction `optedtracking()`. Elle prend un deuxième argument : un objet permettant de personnaliser la configuration (voir le code pour plus de détails).

Enfin, sur votre page, chaque conteneur `.tracking-optout` peut contenir les éléments suivant :
 * `input[type="checkbox"]` pour contrôler le suivi ou non, s'il est activable ;
 * `.tracking-state` contient un court texte décrivant l'état actuel du suivi ;
 * `.tracking-help` contient un texte plus long sur l'état et ce qu'il est possible de faire.

```html_example
<!-- À placer à la fin de la balise <head> -->
<script src="/static/js/opted-tracking.js"></script>
<script type="text/javascript">
  optedtracking(function() { alert('tracking!'); });
</script>

<div class="form-group tracking-optout">
  <div class="custom-control custom-checkbox">
    <input type="checkbox" class="custom-control-input" id="customCheck1">
    <label class="custom-control-label tracking-state" for="customCheck1"></label>
  </div>
  <div class="small form-text tracking-help"></div>
</div>
```
