# Generated by Django 2.0.9 on 2018-11-07 09:07

from django.db import migrations, models
import django.db.models.deletion
import lens.base.blocks
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.documents.blocks
import wagtail.images.blocks


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailcore', '0040_page_draft_title'),
        ('wagtailimages', '0021_image_file_hash'),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
            ],
            options={
                'verbose_name': 'rubrique',
                'verbose_name_plural': 'rubriques',
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='HomePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
            ],
            options={
                'verbose_name': "page d'accueil",
                'verbose_name_plural': "pages d'accueil",
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='StandardPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('introduction', models.TextField(blank=True, help_text='Un texte bref introduisant la page, affiché en dessous du titre.', max_length=255, verbose_name='chapeau')),
                ('body', wagtail.core.fields.StreamField([('title_block', wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(classname='title', label='Titre')), ('level', wagtail.core.blocks.ChoiceBlock(choices=[('h3', 'Titre de niveau 3'), ('h4', 'Titre de niveau 4'), ('h5', 'Titre de niveau 5'), ('h6', 'Titre de niveau 6')], help_text='Choix du niveau de titre. Les niveaux de titre permettant de définir la structure du document.', label='Niveau'))])), ('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))])), ('icon_text_block', wagtail.core.blocks.StructBlock([('icon', wagtail.core.blocks.ChoiceBlock(choices=[('phone', 'Téléphone'), ('location', 'Emplacement'), ('clock', 'Horloge'), ('calendar', 'Calendrier'), ('family', 'Famille'), ('globe', 'Globe'), ('mail', 'Enveloppe'), ('ticket', 'Billet')], label='Icône')), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra en dessous de l'icône.", label='Texte'))])), ('quote_block', wagtail.core.blocks.StructBlock([('text', lens.base.blocks.ParagraphBlock(label='Texte')), ('author', wagtail.core.blocks.CharBlock(label='Auteur', required=False))])), ('image_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False))])), ('image_text_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False)), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra par-dessus l'image.", label='Texte')), ('is_animated', wagtail.core.blocks.BooleanBlock(help_text="L'image sera assombrie, sauf au survol, où le texte disparaîtra avec une transition.", label='Animation au survol', required=False))])), ('embed_block', wagtail.embeds.blocks.EmbedBlock(group='Média', label='Média intégré')), ('audio_block', lens.base.blocks.AudioChooserBlock()), ('card_block', wagtail.core.blocks.StructBlock([('top_image', wagtail.images.blocks.ImageChooserBlock(label="Image d'en-tête", required=False)), ('title', wagtail.core.blocks.CharBlock(label='Titre', required=False)), ('subtitle', wagtail.core.blocks.CharBlock(label='Sous-titre', required=False)), ('body_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True))], button_css_class='btn-card'))], label='Contenu', min_num=1)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('default', 'Défaut'), ('primary', 'Coloré : principal (rouge)'), ('secondary', 'Coloré : secondaire (bleu)'), ('dark', 'Coloré : sombre (gris)'), ('primary-sm', 'Petit et coloré : principal (rouge)')], help_text="Définis l'apparence qu'aura la fiche.", label='Style', required=False))])), ('media_object_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('section_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock(features=('h5', 'h6', 'bold', 'italic', 'ol', 'ul', 'link', 'document-link'))), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))]))], label='Contenu', min_num=1))])), ('row_block', wagtail.core.blocks.StructBlock([('nb_columns_sm', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], help_text='La taille des colonnes au sein de cette ligne pour cette résolution. Vous pouvez choisir entre un nombre fixe de colonnes, utiliser la même largeur pour toutes les colonnes ou adapter la largeur au contenu de la colonne.', label='Nombre de colonnes (petit)', required=False)), ('nb_columns_md', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Nombre de colonnes (moyen)', required=False)), ('nb_columns_lg', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Nombre de colonnes (large)', required=False)), ('horizontal_align', wagtail.core.blocks.ChoiceBlock(choices=[('left', 'Gauche'), ('center', 'Centré'), ('right', 'Droite')], label='Alignement horizontal', required=False)), ('blocks', wagtail.core.blocks.StreamBlock([('title_block', wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(classname='title', label='Titre')), ('level', wagtail.core.blocks.ChoiceBlock(choices=[('h3', 'Titre de niveau 3'), ('h4', 'Titre de niveau 4'), ('h5', 'Titre de niveau 5'), ('h6', 'Titre de niveau 6')], help_text='Choix du niveau de titre. Les niveaux de titre permettant de définir la structure du document.', label='Niveau'))])), ('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))])), ('icon_text_block', wagtail.core.blocks.StructBlock([('icon', wagtail.core.blocks.ChoiceBlock(choices=[('phone', 'Téléphone'), ('location', 'Emplacement'), ('clock', 'Horloge'), ('calendar', 'Calendrier'), ('family', 'Famille'), ('globe', 'Globe'), ('mail', 'Enveloppe'), ('ticket', 'Billet')], label='Icône')), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra en dessous de l'icône.", label='Texte'))])), ('quote_block', wagtail.core.blocks.StructBlock([('text', lens.base.blocks.ParagraphBlock(label='Texte')), ('author', wagtail.core.blocks.CharBlock(label='Auteur', required=False))])), ('image_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False))])), ('image_text_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False)), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra par-dessus l'image.", label='Texte')), ('is_animated', wagtail.core.blocks.BooleanBlock(help_text="L'image sera assombrie, sauf au survol, où le texte disparaîtra avec une transition.", label='Animation au survol', required=False))])), ('embed_block', wagtail.embeds.blocks.EmbedBlock(group='Média', label='Média intégré')), ('audio_block', lens.base.blocks.AudioChooserBlock()), ('card_block', wagtail.core.blocks.StructBlock([('top_image', wagtail.images.blocks.ImageChooserBlock(label="Image d'en-tête", required=False)), ('title', wagtail.core.blocks.CharBlock(label='Titre', required=False)), ('subtitle', wagtail.core.blocks.CharBlock(label='Sous-titre', required=False)), ('body_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True))], button_css_class='btn-card'))], label='Contenu', min_num=1)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('default', 'Défaut'), ('primary', 'Coloré : principal (rouge)'), ('secondary', 'Coloré : secondaire (bleu)'), ('dark', 'Coloré : sombre (gris)'), ('primary-sm', 'Petit et coloré : principal (rouge)')], help_text="Définis l'apparence qu'aura la fiche.", label='Style', required=False))])), ('media_object_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('section_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock(features=('h5', 'h6', 'bold', 'italic', 'ol', 'ul', 'link', 'document-link'))), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))]))], label='Contenu', min_num=1))])), ('column_block', wagtail.core.blocks.StructBlock([('size_sm', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Taille de la colonne (petit)', required=False)), ('size_md', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Taille de la colonne (moyen)', required=False)), ('size_lg', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Taille de la colonne (large)', required=False)), ('horizontal_align', wagtail.core.blocks.ChoiceBlock(choices=[('left', 'Gauche'), ('center', 'Centré'), ('right', 'Droite')], label='Alignement horizontal', required=False)), ('block', wagtail.core.blocks.StreamBlock([('title_block', wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(classname='title', label='Titre')), ('level', wagtail.core.blocks.ChoiceBlock(choices=[('h3', 'Titre de niveau 3'), ('h4', 'Titre de niveau 4'), ('h5', 'Titre de niveau 5'), ('h6', 'Titre de niveau 6')], help_text='Choix du niveau de titre. Les niveaux de titre permettant de définir la structure du document.', label='Niveau'))])), ('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))])), ('icon_text_block', wagtail.core.blocks.StructBlock([('icon', wagtail.core.blocks.ChoiceBlock(choices=[('phone', 'Téléphone'), ('location', 'Emplacement'), ('clock', 'Horloge'), ('calendar', 'Calendrier'), ('family', 'Famille'), ('globe', 'Globe'), ('mail', 'Enveloppe'), ('ticket', 'Billet')], label='Icône')), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra en dessous de l'icône.", label='Texte'))])), ('quote_block', wagtail.core.blocks.StructBlock([('text', lens.base.blocks.ParagraphBlock(label='Texte')), ('author', wagtail.core.blocks.CharBlock(label='Auteur', required=False))])), ('image_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False))])), ('image_text_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False)), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra par-dessus l'image.", label='Texte')), ('is_animated', wagtail.core.blocks.BooleanBlock(help_text="L'image sera assombrie, sauf au survol, où le texte disparaîtra avec une transition.", label='Animation au survol', required=False))])), ('embed_block', wagtail.embeds.blocks.EmbedBlock(group='Média', label='Média intégré')), ('audio_block', lens.base.blocks.AudioChooserBlock()), ('card_block', wagtail.core.blocks.StructBlock([('top_image', wagtail.images.blocks.ImageChooserBlock(label="Image d'en-tête", required=False)), ('title', wagtail.core.blocks.CharBlock(label='Titre', required=False)), ('subtitle', wagtail.core.blocks.CharBlock(label='Sous-titre', required=False)), ('body_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True))], button_css_class='btn-card'))], label='Contenu', min_num=1)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('default', 'Défaut'), ('primary', 'Coloré : principal (rouge)'), ('secondary', 'Coloré : secondaire (bleu)'), ('dark', 'Coloré : sombre (gris)'), ('primary-sm', 'Petit et coloré : principal (rouge)')], help_text="Définis l'apparence qu'aura la fiche.", label='Style', required=False))])), ('media_object_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('section_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock(features=('h5', 'h6', 'bold', 'italic', 'ol', 'ul', 'link', 'document-link'))), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))]))], label='Contenu', min_num=1))]))], label='Contenu', min_num=1))])), ('row_block', wagtail.core.blocks.StructBlock([('nb_columns_sm', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], help_text='La taille des colonnes au sein de cette ligne pour cette résolution. Vous pouvez choisir entre un nombre fixe de colonnes, utiliser la même largeur pour toutes les colonnes ou adapter la largeur au contenu de la colonne.', label='Nombre de colonnes (petit)', required=False)), ('nb_columns_md', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Nombre de colonnes (moyen)', required=False)), ('nb_columns_lg', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Nombre de colonnes (large)', required=False)), ('horizontal_align', wagtail.core.blocks.ChoiceBlock(choices=[('left', 'Gauche'), ('center', 'Centré'), ('right', 'Droite')], label='Alignement horizontal', required=False)), ('blocks', wagtail.core.blocks.StreamBlock([('title_block', wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(classname='title', label='Titre')), ('level', wagtail.core.blocks.ChoiceBlock(choices=[('h3', 'Titre de niveau 3'), ('h4', 'Titre de niveau 4'), ('h5', 'Titre de niveau 5'), ('h6', 'Titre de niveau 6')], help_text='Choix du niveau de titre. Les niveaux de titre permettant de définir la structure du document.', label='Niveau'))])), ('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))])), ('icon_text_block', wagtail.core.blocks.StructBlock([('icon', wagtail.core.blocks.ChoiceBlock(choices=[('phone', 'Téléphone'), ('location', 'Emplacement'), ('clock', 'Horloge'), ('calendar', 'Calendrier'), ('family', 'Famille'), ('globe', 'Globe'), ('mail', 'Enveloppe'), ('ticket', 'Billet')], label='Icône')), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra en dessous de l'icône.", label='Texte'))])), ('quote_block', wagtail.core.blocks.StructBlock([('text', lens.base.blocks.ParagraphBlock(label='Texte')), ('author', wagtail.core.blocks.CharBlock(label='Auteur', required=False))])), ('image_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False))])), ('image_text_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False)), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra par-dessus l'image.", label='Texte')), ('is_animated', wagtail.core.blocks.BooleanBlock(help_text="L'image sera assombrie, sauf au survol, où le texte disparaîtra avec une transition.", label='Animation au survol', required=False))])), ('embed_block', wagtail.embeds.blocks.EmbedBlock(group='Média', label='Média intégré')), ('audio_block', lens.base.blocks.AudioChooserBlock()), ('card_block', wagtail.core.blocks.StructBlock([('top_image', wagtail.images.blocks.ImageChooserBlock(label="Image d'en-tête", required=False)), ('title', wagtail.core.blocks.CharBlock(label='Titre', required=False)), ('subtitle', wagtail.core.blocks.CharBlock(label='Sous-titre', required=False)), ('body_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True))], button_css_class='btn-card'))], label='Contenu', min_num=1)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('default', 'Défaut'), ('primary', 'Coloré : principal (rouge)'), ('secondary', 'Coloré : secondaire (bleu)'), ('dark', 'Coloré : sombre (gris)'), ('primary-sm', 'Petit et coloré : principal (rouge)')], help_text="Définis l'apparence qu'aura la fiche.", label='Style', required=False))])), ('media_object_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('section_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock(features=('h5', 'h6', 'bold', 'italic', 'ol', 'ul', 'link', 'document-link'))), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))]))], label='Contenu', min_num=1))])), ('column_block', wagtail.core.blocks.StructBlock([('size_sm', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Taille de la colonne (petit)', required=False)), ('size_md', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Taille de la colonne (moyen)', required=False)), ('size_lg', wagtail.core.blocks.ChoiceBlock(choices=[('0', 'largeurs égales'), ('auto', 'largeur du contenu'), (1, '1'), (2, '2'), (3, '3'), (4, '4'), (6, '6'), (12, '12')], label='Taille de la colonne (large)', required=False)), ('horizontal_align', wagtail.core.blocks.ChoiceBlock(choices=[('left', 'Gauche'), ('center', 'Centré'), ('right', 'Droite')], label='Alignement horizontal', required=False)), ('block', wagtail.core.blocks.StreamBlock([('title_block', wagtail.core.blocks.StructBlock([('title', wagtail.core.blocks.CharBlock(classname='title', label='Titre')), ('level', wagtail.core.blocks.ChoiceBlock(choices=[('h3', 'Titre de niveau 3'), ('h4', 'Titre de niveau 4'), ('h5', 'Titre de niveau 5'), ('h6', 'Titre de niveau 6')], help_text='Choix du niveau de titre. Les niveaux de titre permettant de définir la structure du document.', label='Niveau'))])), ('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))])), ('icon_text_block', wagtail.core.blocks.StructBlock([('icon', wagtail.core.blocks.ChoiceBlock(choices=[('phone', 'Téléphone'), ('location', 'Emplacement'), ('clock', 'Horloge'), ('calendar', 'Calendrier'), ('family', 'Famille'), ('globe', 'Globe'), ('mail', 'Enveloppe'), ('ticket', 'Billet')], label='Icône')), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra en dessous de l'icône.", label='Texte'))])), ('quote_block', wagtail.core.blocks.StructBlock([('text', lens.base.blocks.ParagraphBlock(label='Texte')), ('author', wagtail.core.blocks.CharBlock(label='Auteur', required=False))])), ('image_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False))])), ('image_text_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('caption', wagtail.core.blocks.CharBlock(help_text="Une description de l'image, qui sera affichée en dessous.", label='Légende', required=False)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=False)), ('text', lens.base.blocks.ParagraphBlock(help_text="Texte qui apparaitra par-dessus l'image.", label='Texte')), ('is_animated', wagtail.core.blocks.BooleanBlock(help_text="L'image sera assombrie, sauf au survol, où le texte disparaîtra avec une transition.", label='Animation au survol', required=False))])), ('embed_block', wagtail.embeds.blocks.EmbedBlock(group='Média', label='Média intégré')), ('audio_block', lens.base.blocks.AudioChooserBlock()), ('card_block', wagtail.core.blocks.StructBlock([('top_image', wagtail.images.blocks.ImageChooserBlock(label="Image d'en-tête", required=False)), ('title', wagtail.core.blocks.CharBlock(label='Titre', required=False)), ('subtitle', wagtail.core.blocks.CharBlock(label='Sous-titre', required=False)), ('body_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock()), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True))], button_css_class='btn-card'))], label='Contenu', min_num=1)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('default', 'Défaut'), ('primary', 'Coloré : principal (rouge)'), ('secondary', 'Coloré : secondaire (bleu)'), ('dark', 'Coloré : sombre (gris)'), ('primary-sm', 'Petit et coloré : principal (rouge)')], help_text="Définis l'apparence qu'aura la fiche.", label='Style', required=False))])), ('media_object_block', wagtail.core.blocks.StructBlock([('image', wagtail.images.blocks.ImageChooserBlock(label='Image')), ('section_blocks', wagtail.core.blocks.StreamBlock([('paragraph_block', lens.base.blocks.ParagraphBlock(features=('h5', 'h6', 'bold', 'italic', 'ol', 'ul', 'link', 'document-link'))), ('button_block', wagtail.core.blocks.StructBlock([('text', wagtail.core.blocks.CharBlock(label='Texte', max_length=100)), ('link', wagtail.core.blocks.StructBlock([('page', wagtail.core.blocks.PageChooserBlock(label='Page', required=False)), ('document', wagtail.documents.blocks.DocumentChooserBlock(label='Document', required=False)), ('external', wagtail.core.blocks.URLBlock(label='URL', required=False)), ('anchor', wagtail.core.blocks.CharBlock(help_text='Une ancre (ex. : <code>#id-cible</code>) à ajouter à la page sélectionnée ou à celle visitée.', label='Ancre', required=False))], required=True)), ('style', wagtail.core.blocks.ChoiceBlock(choices=[('primary', 'Principal (rouge)'), ('secondary', 'Secondaire (bleu)'), ('outline-primary', 'Principal sans fond'), ('outline-secondary', 'Secondaire sans fond'), ('outline-primary-lg', 'Principal sans fond, large'), ('outline-secondary-lg', 'Secondaire sans fond, large'), ('outline-dark-lg', 'Sombre sans fond, large')], help_text="Définis l'apparence qu'aura le bouton.", label='Style'))]))], label='Contenu', min_num=1))]))], label='Contenu', min_num=1))]))], label='Colonnes', min_num=1))]))], label='Colonnes', min_num=1))]))], blank=True, verbose_name='contenu de la page')),
                ('has_menu', models.BooleanField(default=False, help_text='Génère et affiche un menu composé des titres de niveau 3, permettant de naviguer au sein de la page. Utile pour les longues pages.', verbose_name='menu de navigation rapide')),
                ('banner', models.ForeignKey(blank=True, help_text="Une image utilisée comme bannière de fond pour le titre. Veillez à ce que la résolution soit assez grande pour garantir la qualité d'affichage.", null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='wagtailimages.Image', verbose_name='bannière')),
            ],
            options={
                'verbose_name': 'page standard',
                'verbose_name_plural': 'pages standards',
            },
            bases=('wagtailcore.page',),
        ),
    ]
